Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Attributes | List of all members
Ofcas.Lk.Api.Client.Ui.ProjectInformationUi Class Reference

ProjectInformationUi is the representation of an item from a project information (for example the project information items for 'Special Lengths') and provides methods with user interactions. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Ui.ProjectInformationUi:

## Public Attributes
new ProjectInformationContainerUi | Parent => (ProjectInformationContainerUi) base.Parent
| The parent of this object. More...
Public Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
Guid | CoreObjectId => Id
| This property is deprecated. Please use CoreObjectBase.Id instead. More...

## Additional Inherited Members
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.ProjectInformation
ProjectInformationInfo | Refresh ()
OperationInfo | CanEdit (string key, object value)
ProjectInformationInfo | Edit (string key, object value)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
bool | CanDispose ()
| Returns the information about whether the object can be deleted. An object can only be deleted if no children live. More...
IList< Guid > | Children ()
| Returns a list with Id for all children More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Disposable
void | Dispose ()
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
| CoreObjectBase (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
T | CallService< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
T | CallServiceWithMessage< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
override void | Dispose (bool disposing)
Protected Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
const string | NotSupportedCauseNotImplemented = "This method is not implemented, therefore not supported."
| Default message for methods which are not supported because they are not implemented. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.ProjectInformation
ProjectInformationContainer | Parent`[get]`
ProjectInformationInfo | Info`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
IServiceFactory< IApiService > | ServiceFactory`[get]`
| For internal purposes only. More...
Guid | Id`[get]`
| The unique identifier of the object instance. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...
Events inherited from Ofcas.Lk.Api.Client.Core.Disposable
Action< Disposable > | Disposed

## Detailed Description

ProjectInformationUi is the representation of an item from a project information (for example the project information items for 'Special Lengths') and provides methods with user interactions.

## Member Data Documentation

## ◆ Parent

new ProjectInformationContainerUi Ofcas.Lk.Api.Client.Ui.ProjectInformationUi.Parent => (ProjectInformationContainerUi) base.Parent

The parent of this object.

The documentation for this class was generated from the following file:

- ProjectInformationUi.cs